# Embedded Tomcat server port
server.port=8082

### localhost datasource mysql
#spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
#spring.datasource.url=jdbc:mysql://localhost:3306/full-stack-ecommerce?useSSL=false&useUnicode=yes&characterEncoding=UTF-8&allowPublicKeyRetrieval=true&serverTimezone=UTC
#spring.datasource.username=ecommerceapp
#spring.datasource.password=ecommerceapp

### localhost datasource postegresql
#spring.datasource.driver-class-name=org.postgresql.Driver
#spring.datasource.url=jdbc:postgresql://localhost:5432/full-stack-ecommerce
#spring.datasource.username=postgres
#spring.datasource.password=root

### Docker datasource
#spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
#spring.datasource.url=jdbc:mysql://docker-mysql:3306/full-stack-ecommerce?useSSL=false&useUnicode=yes&characterEncoding=UTF-8&allowPublicKeyRetrieval=true&serverTimezone=UTC
# Le DNS de Daemon Docker resoudre l'adresse du container (docker-mysql)
#spring.datasource.username=root
#spring.datasource.password=root

### Docker datasource postgres
#spring.datasource.driver-class-name=org.postgresql.Driver
#spring.datasource.url=jdbc:postgresql://docker-postgres:5432/full-stack-ecommerce
#spring.datasource.username=postgres
#spring.datasource.password=root

### AWS RDS
spring.datasource.driver-class-name=com.mysql.jdbc.Driver
spring.datasource.url=jdbc:mysql://lou-db.cfvlruzvryhj.eu-west-3.rds.amazonaws.com:3306/full-stack-ecommerce?useSSL=false
spring.datasource.username=root
spring.datasource.password=Louay20190

spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.MySQL5Dialect

spring.data.rest.base-path=/api
